import React, { useContext } from 'react';
import purebem from 'purebem';
import FoundationFormControlGroupContext from './FoundationFormControlGroupContext';
import './FoundationFormControlGroup.scss';
export default function FoundationFormControlGroup(_ref) {
  var _ref$children = _ref.children,
      children = _ref$children === void 0 ? null : _ref$children;
  var context = useContext(FoundationFormControlGroupContext);
  var block = purebem('foundation-form-control-group');
  return React.createElement("div", {
    className: block({
      layout: context.layout
    })
  }, children);
}
//# sourceMappingURL=FoundationFormControlGroup.js.map