import React from 'react';
import purebem from 'purebem';
import FoundationFormControlGroupContext from './FoundationFormControlGroupContext';
import './FoundationFormControlGroupSection.scss';
export default function FoundationFormControlGroupSection(_ref) {
  var _ref$children = _ref.children,
      children = _ref$children === void 0 ? null : _ref$children,
      _ref$description = _ref.description,
      description = _ref$description === void 0 ? null : _ref$description,
      _ref$layout = _ref.layout,
      layout = _ref$layout === void 0 ? 'column' : _ref$layout,
      _ref$title = _ref.title,
      title = _ref$title === void 0 ? null : _ref$title;
  var block = purebem('foundation-form-control-group-section');
  return React.createElement("div", {
    className: block()
  }, title !== null && title !== '' ? React.createElement("div", {
    className: block('title')
  }, title) : null, description !== null && description !== '' ? React.createElement("div", {
    className: block('description')
  }, description) : null, React.createElement("div", {
    className: block('group', {
      layout: layout
    })
  }, React.createElement(FoundationFormControlGroupContext.Provider, {
    value: {
      layout: layout
    }
  }, children)));
}
//# sourceMappingURL=FoundationFormControlGroupSection.js.map